const logger = require('log4js').getLogger('FSQ');
const foursquare = require('node-foursquare-venues')('IXXFUGW3NC3DEVS2V5EU4NV4CL5E12AYGUPIR2D3U3B5DX4B', 'MZRIJDCEKUMVERA1OKVAIZI0TYAEBD3W2A2AGPTPI5TOLL1D', '20170801');

logger.level = 'debug';

function doGetFourSquareExplore(ll) {
  const [lat, long ] = ll.split(',');

  return new Promise((resolve, reject) => {
    const fsObj = {
      'll': ll,
      'section': 'topPicks',
      'v': '20170801',
      'limit': 3,
      'radius': 500
    };

    foursquare.venues.explore(fsObj, function(err, fsData) {
      if (err)
        return reject(err);
      else
        return resolve(fsData);
    });
  });
}

module.exports = { doGetFourSquareExplore };
